@REM 
@REM  Licensed to the Apache Software Foundation (ASF) under one or more
@REM  contributor license agreements.  See the NOTICE file distributed with
@REM  this work for additional information regarding copyright ownership.
@REM  The ASF licenses this file to You under the Apache License, Version 2.0
@REM  (the "License"); you may not use this file except in compliance with
@REM  the License.  You may obtain a copy of the License at
@REM  
@REM        http://www.apache.org/licenses/LICENSE-2.0
@REM  
@REM   Unless required by applicable law or agreed to in writing, software
@REM   distributed under the License is distributed on an "AS IS" BASIS,
@REM   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM   See the License for the specific language governing permissions and
@REM   limitations under the License.
@REM 

@echo off

SETLOCAL

IF EXIST "C:\Program Files\Windows Resource Kits\Tools\winhttpcertcfg.exe" SET KIT_HOME="C:\Program Files\Windows Resource Kits\Tools"
IF EXIST "C:\Program Files (x86)\Windows Resource Kits\Tools\winhttpcertcfg.exe" SET KIT_HOME="C:\Program Files (x86)\Windows Resource Kits\Tools"

IF NOT DEFINED KIT_HOME GOTO NoKit

SET user=%USERDOMAIN%\%USERNAME%

@echo.
@echo This script adds an Authorized URL reservation for the .NET Service
@echo endpoints.  This alleviates the need to execute the RunServices.bat file
@echo under elevated priviledges (Run as Administrator).
@echo.
@echo Please note, this script does have to be (Run as Administrator)
@echo.
@echo ========================================================================
@echo                                 Menu    
@echo ------------------------------------------------------------------------
@echo     1 = Set Reservation for %USERDOMAIN%\%USERNAME%
@echo     2 = Set Reservation for \Everyone   
@echo     3 = Delete Reservation
@echo     Q = Cancel
@echo.


choice /c:123Q /n
if errorlevel 4 GOTO Exit
if errorlevel 3 GOTO Remove
if errorlevel 2 SET user=\Everyone


netsh http add urlacl url=http://+:7000/ user=%user%
netsh http add urlacl url=http://+:8000/ user=%user%
netsh http add urlacl url=http://+:8005/ user=%user%
netsh http add urlacl url=http://+:9000/ user=%user%
netsh http add urlacl url=http://+:9001/ user=%user%
%KIT_HOME%\winhttpcertcfg.exe -g -c LOCAL_MACHINE\TrustedPeople -s OPS.Com -a %user%
%KIT_HOME%\winhttpcertcfg.exe -g -c LOCAL_MACHINE\TrustedPeople -s BSL.Com -a %user%
%KIT_HOME%\winhttpcertcfg.exe -g -c LOCAL_MACHINE\TrustedPeople -s Trade.Com -a %user%
GOTO Exit

:Remove
netsh http delete urlacl url=http://+:7000/
netsh http delete urlacl url=http://+:8000/
netsh http delete urlacl url=http://+:8005/
netsh http delete urlacl url=http://+:9000/
netsh http delete urlacl url=http://+:9001/
%KIT_HOME%\winhttpcertcfg.exe -r -c LOCAL_MACHINE\TrustedPeople -s OPS.Com -a %user%
%KIT_HOME%\winhttpcertcfg.exe -r -c LOCAL_MACHINE\TrustedPeople -s BSL.Com -a %user%
%KIT_HOME%\winhttpcertcfg.exe -r -c LOCAL_MACHINE\TrustedPeople -s Trade.Com -a %user%
%KIT_HOME%\winhttpcertcfg.exe -r -c LOCAL_MACHINE\TrustedPeople -s OPS.Com -a \Everyone
%KIT_HOME%\winhttpcertcfg.exe -r -c LOCAL_MACHINE\TrustedPeople -s BSL.Com -a \Everyone
%KIT_HOME%\winhttpcertcfg.exe -r -c LOCAL_MACHINE\TrustedPeople -s Trade.Com -a \Everyone
GOTO Exit


:NoKit
@echo.
@echo ---------------------------------
@echo The Windows Resource Kits needed
@echo Please download and installed to access keystore permissions
@echo.
@echo http://www.microsoft.com/downloads/details.aspx?familyid=9D467A69-57FF-4AE7-96EE-B18C4790CFFD
@echo.
@echo ---------------------------------


:Exit
ENDLOCAL
pause