<%@ Page Title="Apache Stonehenge - .NET StockTrader - Account" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    EnableViewState="false" EnableEventValidation="false"
    CodeFile="Account.aspx.cs" Inherits="Trade.Web.Account" %>
<%@ Register TagPrefix="controls" TagName="ClosedOrders" Src="Controls/ClosedOrders.ascx"  %>
<%@ Register TagPrefix="controls" TagName="AccountOrders" Src="Controls/AccountOrders.ascx"  %>
<%@ Import Namespace="Trade.StockTraderWebApplicationModelClasses" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
<% /* 
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
*/ %>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <controls:ClosedOrders id="ClosedOrdersControl" runat="server" ></controls:ClosedOrders>

    <div class="main-title">
        <h1>Account Information</h1>
        <script type="text/javascript">
            var thisdate = new Date();
    		document.writeln(thisdate.toLocaleString());
    	</script>
	</div> 
    
    <table class="table-outer" cellspacing="0" align="center">
	    <thead>
	        <tr>
	            <th>Subtotal Buys</th>
	            <th>Subtotal Sells</th>
	            <th>Subtotal Fees</th>
	            <th>Net Impact Cash Balance</th>
	        </tr>
	    </thead>
	    <tbody>
	        <tr>
	            <td class="currency"><%=string.Format("{0:C}", AccountOrdersControl.orderData.subtotalBuy)%></td>
	            <td class="currency"><%=string.Format("{0:C}", AccountOrdersControl.orderData.subtotalSell)%></td>
	            <td class="currency"><%=string.Format("{0:C}", AccountOrdersControl.orderData.txnFeesSubtotal)%></td>
                <td class="currency"><%=AccountOrdersControl.orderData.netImpactCashBalance%></td>
             </tr>
        </tbody>
    </table>

    <p style="float:right;"><asp:Label ID="orderLink" runat="server"></asp:Label></p>
    
    <p>Total Orders Shown: <b><asp:Label ID="NumOrdersShown" runat="server" Text="numOrders" /></b></p>
        
    <controls:AccountOrders id="AccountOrdersControl" runat="server" />
                                                                    
    <table class="profile" cellspacing="0" width="100%">
        <thead>
            <tr>
                <th>
                    <asp:Label ID="UpdateMessage" runat="server" Text="Update Account Profile: " />
                </th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>
                    <table cellspacing="0" align="center">
                        <tr>
                            <td>
                                Full Name:
                            </td>
                            <td>
                                <asp:TextBox ID="FullName" runat="server" MaxLength="100" Width="200px" />
                            </td>
                            <td>
                                Email Address:
                            </td>
                            <td>
                                <asp:TextBox ID="Email" runat="server" MaxLength="100" Width="200px" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Address:
                            </td>
                            <td>
                                <asp:TextBox ID="Address" runat="server" MaxLength="100" Width="200px" />
                            </td>
                            <td>
                                Password:
                            </td>
                            <td>
                                <asp:TextBox ID="Password" runat="server" TextMode="Password" MaxLength="100" Width="200px" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Credit Card:
                            </td>
                            <td>
                                <asp:TextBox ID="CreditCard" runat="server" MaxLength="100" Width="200px" />
                            </td>
                            <td>
                                Confirm Password:
                            </td>
                            <td>
                                <asp:TextBox ID="ConfirmPassword" runat="server" TextMode="Password" MaxLength="100" Width="200px" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="4" style="text-align:center">
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="FullName"
                                    Display="None" ErrorMessage="Please Enter a Name" ValidationGroup="AccountEntry"></asp:RequiredFieldValidator>
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="Email"
                                    Display="None" ErrorMessage="Please Enter an Email" ValidationGroup="AccountEntry"></asp:RequiredFieldValidator>
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="Address"
                                    Display="None" ErrorMessage="Please Enter an Address" ValidationGroup="AccountEntry"></asp:RequiredFieldValidator>        
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="Password"
                                    Display="None" ErrorMessage="Please Enter a Password" ValidationGroup="AccountEntry"></asp:RequiredFieldValidator>
                                <asp:CompareValidator ID="CompareValidator1" runat="server" ControlToCompare="Password"
                                    ControlToValidate="ConfirmPassword" Display="None" ErrorMessage="Passwords Do Not Match!"
                                    ValidationGroup="AccountEntry"></asp:CompareValidator>
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="CreditCard"
                                    Display="None" ErrorMessage="Please Enter a Credit Card" ValidationGroup="AccountEntry"></asp:RequiredFieldValidator>
                            
                                <asp:ValidationSummary ID="ValidationSummary1" runat="server" DisplayMode="List"
                                    ValidationGroup="AccountEntry" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="4" class="button">
                                <asp:Button ID="UpdateProfileButton" runat="server" CausesValidation="False" CssClass="button" Text="Update" />
                            </td>
                        </tr>
                    </table>
                    
                    <br /><br />
                    
                    <table align="center" class="profile-content" cellspacing="0">
                        <tbody>
                            <tr>
                                <td class="left">
                                    Account ID:
                                </td>
                                <td>
                                    <asp:Label ID="AccountID" runat="server" />
                                </td>
                                <td class="left">
                                    Account Created
                                </td>
                                <td>
                                    <asp:Label ID="CreationDate" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="left">
                                    User ID:
                                </td>
                                <td>
                                    <asp:Label id="Name" runat="server" />
                                </td>
                                <td class="left">
                                    Last Login:
                                </td>
                                <td>
                                    <asp:Label ID="LastLogin" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="left">
                                    Opening Balance:
                                </td>
                                <td>
                                    <asp:Label ID="OpenBalance" runat="server" />
                                </td>
                                <td class="left">
                                    Total Logins:
                                </td>
                                <td>
                                    <asp:Label ID="LoginCount" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="left">
                                    Cash Balance:
                                </td>
                                <td>
                                    <asp:Label ID="Balance" runat="server" />
                                </td>
                                <td class="left">
                                    Total Logouts:
                                </td>
                                <td>
                                    <asp:Label id="TotalLogout" runat="server" />
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
        </tbody>
    </table>
    
    
    <div class="bottom">
        <asp:TextBox ID="symbols" runat="server" Text="s:0;s:1;s:2;s:3"></asp:TextBox>
        <asp:Button ID="GetQuoteButton" runat="server" PostBackUrl="~/Quotes.aspx" CssClass="button" Text="Get Quote" />
    </div>

</asp:Content>